> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Dump

GET https://restapi.ordergroove.com/offer_profiles/{public_id}/dump/

Get a snapshot of the current offer profile's configuration including all of its incentives and the criteria for them to get applied in the form of conditions

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/offer-profiles/offer-profile-dump

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /offer_profiles/{public_id}/dump/:
    get:
      operationId: offer-profile-dump
      summary: Dump
      description: >-
        Get a snapshot of the current offer profile's configuration including
        all of its incentives and the criteria for them to get applied in the
        form of conditions
      tags:
        - offerProfiles
      parameters:
        - name: public_id
          in: path
          description: Offer Profile's public ID
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Offer
                  Profiles_offer-profile-dump_Response_200
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponConditionsItemsIncentivesItems:
      type: object
      properties:
        object:
          type: integer
          default: 0
        field:
          type: integer
          default: 0
        type:
          type: string
        value:
          type: string
        threshold_field:
          description: Any type
        threshold_value:
          description: Any type
        name:
          type: string
        public_id:
          type: string
        polymorphic_type:
          type: string
      title: >-
        OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponConditionsItemsIncentivesItems
    OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponConditionsItems:
      type: object
      properties:
        public_id:
          type: string
        premises:
          type: string
        description:
          type: string
        incentives:
          type: array
          items:
            $ref: >-
              #/components/schemas/OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponConditionsItemsIncentivesItems
      title: >-
        OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponConditionsItems
    OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponIncentivesItems:
      type: object
      properties:
        object:
          type: integer
          default: 0
        field:
          type: integer
          default: 0
        type:
          type: string
        value:
          type: string
        threshold_field:
          description: Any type
        threshold_value:
          description: Any type
        name:
          type: string
        public_id:
          type: string
        polymorphic_type:
          type: string
      title: >-
        OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponIncentivesItems
    OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponStandardFlexIncentivesItems:
      type: object
      properties:
        public_id:
          type: string
        standard:
          type: string
        incentive_type:
          type: string
        incentive_value:
          type: integer
          default: 0
        premise_value:
          type: array
          items:
            type: string
        type:
          type: string
        premise_operand:
          description: Any type
      title: >-
        OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponStandardFlexIncentivesItems
    OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCoupon:
      type: object
      properties:
        public_id:
          type: string
        name:
          type: string
        code:
          type: string
        conditions:
          type: array
          items:
            $ref: >-
              #/components/schemas/OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponConditionsItems
        incentives:
          type: array
          items:
            $ref: >-
              #/components/schemas/OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponIncentivesItems
        standard_flex_incentives:
          type: array
          items:
            $ref: >-
              #/components/schemas/OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponStandardFlexIncentivesItems
      title: >-
        OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCoupon
    OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponConditionsItemsIncentivesItems:
      type: object
      properties:
        object:
          type: integer
          default: 0
        field:
          type: integer
          default: 0
        type:
          type: string
        value:
          type: string
        threshold_field:
          description: Any type
        threshold_value:
          description: Any type
        name:
          type: string
        public_id:
          type: string
        polymorphic_type:
          type: string
      title: >-
        OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponConditionsItemsIncentivesItems
    OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponConditionsItems:
      type: object
      properties:
        public_id:
          type: string
        premises:
          type: string
        description:
          type: string
        incentives:
          type: array
          items:
            $ref: >-
              #/components/schemas/OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponConditionsItemsIncentivesItems
      title: >-
        OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponConditionsItems
    OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponIncentivesItems:
      type: object
      properties:
        object:
          type: integer
          default: 0
        field:
          type: integer
          default: 0
        type:
          type: string
        value:
          type: string
        threshold_field:
          type: integer
          default: 0
        threshold_value:
          description: Any type
        name:
          type: string
        public_id:
          type: string
        polymorphic_type:
          type: string
      title: >-
        OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponIncentivesItems
    OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponStandardFlexIncentivesItems:
      type: object
      properties:
        public_id:
          type: string
        standard:
          type: string
        incentive_type:
          type: string
        incentive_value:
          type: integer
          default: 0
        premise_value:
          type: array
          items:
            type: string
        type:
          type: string
        premise_operand:
          description: Any type
      title: >-
        OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponStandardFlexIncentivesItems
    OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCoupon:
      type: object
      properties:
        public_id:
          type: string
        name:
          type: string
        code:
          type: string
        conditions:
          type: array
          items:
            $ref: >-
              #/components/schemas/OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponConditionsItems
        incentives:
          type: array
          items:
            $ref: >-
              #/components/schemas/OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponIncentivesItems
        standard_flex_incentives:
          type: array
          items:
            $ref: >-
              #/components/schemas/OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponStandardFlexIncentivesItems
      title: >-
        OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCoupon
    OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaOffersItems:
      type: object
      properties:
        public_id:
          type: string
        name:
          type: string
        offer_type:
          type: integer
          default: 0
        weight:
          type: integer
          default: 0
        live:
          type: boolean
          default: true
      title: >-
        OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaOffersItems
    OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaPremisesItems:
      type: object
      properties:
        id:
          type: integer
          default: 0
        public_id:
          type: string
        slug:
          type: string
        premise_type:
          type: string
        operand:
          type: string
        value:
          type: string
      title: >-
        OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaPremisesItems
    Offer Profiles_offer-profile-dump_Response_200:
      type: object
      properties:
        public_id:
          type: string
        name:
          type: string
        weight:
          type: integer
          default: 0
        live:
          type: boolean
          default: true
        initial_coupon:
          $ref: >-
            #/components/schemas/OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCoupon
        recurring_coupon:
          $ref: >-
            #/components/schemas/OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCoupon
        offers:
          type: array
          items:
            $ref: >-
              #/components/schemas/OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaOffersItems
        premises:
          type: array
          items:
            $ref: >-
              #/components/schemas/OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaPremisesItems
      title: Offer Profiles_offer-profile-dump_Response_200
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/offer_profiles/public_id/dump/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/offer_profiles/public_id/dump/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/offer_profiles/public_id/dump/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/offer_profiles/public_id/dump/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/offer_profiles/public_id/dump/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/offer_profiles/public_id/dump/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/offer_profiles/public_id/dump/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/offer_profiles/public_id/dump/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```